<project name="MUMail" default="dist" basedir=".">
<!--  set global properties for this build  -->
	<property name="src" value="."/>
	<property name="build" value="build"/>
	<property name="dist" value="dist"/>
	<target name="init">
<!--  Create the time stamp  -->
		<tstamp/>
<!--  Create the build directory structure used by compile  -->
		<mkdir dir="${build}"/>
	</target>
	<target name="compile" depends="init">
<!--  Compile the java code from ${src} into ${build}  -->
		<javac srcdir="${src}" destdir="${build}"/>
	</target>
	<target name="dist" depends="compile">
<!--  Create the distribution directory  -->
		<mkdir dir="${dist}/lib"/>
<!--  Put everything in ${build} into the MUMail-${DSTAMP}.jar file  -->
		<jar jarfile="${dist}/lib/MUMail-${DSTAMP}.jar" basedir="${build}"/>
	</target>
	<target name="clean">
<!--  Delete the ${build} and ${dist} directory trees  -->
		<delete dir="${build}"/>
		<delete dir="${dist}"/>
	</target>
</project>
